#lg-calc-vorota, #lg-calc-rolvorota {
    padding:50px;
    border-radius: 10px;
    margin: 0 auto 30px;
    position: relative;
    box-shadow: 0 4px 13px 0 #00000026;
    border-top: 4px solid #B0D32C;
    display:grid;
    grid-template-columns: 2fr 3fr;
    gap:75px
}
#nd-vorota-measuring {
    max-width:440px;
    padding:0;
}
#lg-calc-vorota input::-webkit-outer-spin-button,
#lg-calc-vorota input::-webkit-inner-spin-button,
#lg-calc-rolvorota input::-webkit-outer-spin-button,
#lg-calc-rolvorota input::-webkit-outer-spin-button{
    /* display: none; <- Crashes Chrome on hover */
    -webkit-appearance: none;
    margin: 0; /* <-- Apparently some margin are still there even though it's hidden */
}
#nd-rollets-measuring .wpcf7-response-output, .lg-calc-rollets-top {
    display:none
}
.lg-calc-vorota-top, .rollets-top-header {
    display:none
}
#lg-calc-vorota .rollets-left-header, #lg-calc-rolvorota .rollets-left-header{
    font-size: 22px;
    font-weight: 600;
    line-height: 24px;
    color: #151515;
    margin-bottom:15px
}
#lg-calc-vorota .rollets-left-colors,  #lg-calc-rolvorota .rollets-left-colors{
    display:grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    gap:10px;
    margin-bottom:25px
}
#lg-calc-rolvorota .rollets-left-colors {
    grid-template-columns: 1fr 1fr 1fr
}
.lg-calc-vorota-right .rollets-color {
    text-align: center;
    font-size: 14px;
    font-weight: 400;
    line-height: 20px;
    letter-spacing: -0.03em;
    margin-bottom:9px
}
.lg-calc-vorota-right .rollets-color span {
    font-weight: 600;
}
.rollets-left-colors .rollets-color {
    display:flex;
    flex-direction: column;
    gap:4px;
    align-items: center;
    border-radius: 3px;
}
#lg-calc-vorota .rollets-left-colors a.rollets-color img,
#lg-calc-rolvorota .rollets-left-colors a.rollets-color img {
    border-radius: 3px;
    overflow: hidden;
    padding:1px;
    border: 2px solid #FFFFFF;
    width:100%;
    height:auto;
    max-height:48px
}
.rollets-left-colors a.rollets-color span {
    font-size: 11px;
    font-weight: 400;
    line-height: 16px;
    letter-spacing: -0.02em;
    color: #444444;
}
.rollets-left-colors a.rollets-color:hover span, .rollets-left-colors a.rollets-color.active span {
    color:#FE5C01;
}
#lg-calc-vorota .rollets-left-colors a.rollets-color:hover img, #lg-calc-vorota .rollets-left-colors a.rollets-color.active img,
#lg-calc-rolvorota .rollets-left-colors a.rollets-color:hover img, #lg-calc-rolvorota .rollets-left-colors a.rollets-color.active img {
    border-color: #FE5C01;
}
.lg-calc-rollets-right {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
.description a.rollets-caller, a.rollets-caller {
    width:100%;
    padding:20px;
    background: #B0D32C;
    color:#fff;
    font-size: 16px;
    font-weight: 600;
    line-height: 16px;
    text-align: center;
    border-radius: 2px;
    text-decoration: none;
}
#lg-calc-vorota .rollets-inputs,
#lg-calc-rolvorota .rollets-inputs {
    margin-bottom:0;
    display:grid;
    grid-template-columns: 1fr 1fr;
    gap:23px
}
#lg-calc-vorota .rollets-inputs label,
#lg-calc-rolvorota .rollets-inputs label {
    font-size: 15px;
    font-weight: 400;
    line-height: 21px;
    display:flex;
    flex-direction: column;
    align-items: flex-start;
    gap:5px;
    color: #181818;
    margin-bottom:0;
}
.rollets-inputs label input {
    border: 1px solid #D4D4D4;
    font-size: 15px;
    font-weight: 400;
    line-height: 21px;
    padding:14px;
    border-radius: 5px;
    color: #181818;
    max-width:200px;
    width:100%;
}
.description a.rollets-caller:hover, a.rollets-caller:focus,
.description a.rollets-caller:focus, a.rollets-caller:hover{
    color:#fff;
    opacity: .8;
}
.rollets-big-image {
    border-radius: 5px;
    overflow: hidden;
    margin-bottom:10px
}
.vorota-info {
    border: 1px dashed #A3A3A3;
    border-radius: 5px;
    padding:12px;
    border-bottom: none;
    display:grid;
    grid-template-columns: 1fr auto auto;
    gap:10px
}
.vorota-width-field, .vorota-height-field {
    display:flex;
    flex-wrap: nowrap;
    gap:7px;
    align-items: center;
    color:#151515;
}
.vorota-width-field span, .vorota-height-field span {
    font-size: 14px;
    font-weight: 400;
    line-height: 20px;
    letter-spacing: -0.03em;
    display: flex;
    align-items: center;
    gap: 7px;
    flex-wrap:nowrap;
}
.vorota-width-field div, .vorota-height-field div {
    font-size: 14px;
    font-weight: 600;
    line-height: 20px;
    letter-spacing: -0.03em;
}
.vorota-color {
    margin-left:auto;
    font-size: 14px;
    font-weight: 400;
    line-height: 20px;
    letter-spacing: -0.03em;
    color:#C0C0C0;
    text-align: right;
}
.vorota-color span {
    font-weight: 600;
}
.lg-calc-vorota-bottom {
    display:none
}
#lg-calc-rolvorota .rollets-dop-info {
    margin:24px 0 0
}
#lg-calc-rolvorota .rollets-info-inputs {
    grid-template-columns: 1fr;
    margin-bottom:0
}
#lg-calc-rolvorota .lg-calc-vorota-bottom .vorota-color img,
#lg-calc-vorota .lg-calc-vorota-bottom .vorota-color img {
    max-width:48px
}
.vorota-color-name {
    font-size: 13px;
    font-weight: 400;
    line-height: 20px;
    letter-spacing: -0.03em;
    color:#8F8F8F;
    display:flex;
    flex-direction: column;
    margin-left:auto
}
.vorota-color-name span:last-child {
    font-weight: 600;
}

@media(max-width:1199px) {
    #lg-calc-vorota,  #lg-calc-rolvorota {
        grid-template-columns: 1fr;
        padding:0 0 36px;
        gap:0
    }
    .lg-calc-vorota-top {
        display:block;
        order:1;
        padding:30px 19px 35px
    }
    .rollets-top-header {
        font-size: 20px;
        font-weight: 600;
        line-height: 22px;
        letter-spacing: -0.02em;
        text-align: center;
        color: #0C0A3E;
        margin-bottom:34px;
        display:block;
    }
    .lg-calc-rollets-right {
        border-top-left-radius: 15px;
        border-top-right-radius: 15px;
    }
    .lg-calc-vorota-right .rollets-top-header {
        margin-bottom:25px
    }
    .rollets-top-block {
        display:grid;
        grid-template-columns: 3fr 2fr;
        gap:15px
    }
    .rollets-top-sizes {
        display:flex;
        flex-direction: column;
        gap:13px
    }
    .rollets-top-sizes label {
        font-size: 15px;
        font-weight: 400;
        line-height: 21px;
        letter-spacing: -0.03em;
        display:grid;
        grid-template-columns: 1fr 1fr;
        align-items: center;
        white-space: nowrap;
        gap:5px;
        margin-right:auto
    }
    #lg-calc-vorota .rollets-top-sizes input,
    #lg-calc-rolvorota .rollets-top-sizes input {
        border: 1px solid #D4D4D4;
        border-radius: 5px;
        font-size: 16px;
        font-weight: 400;
        line-height: 21px;
        letter-spacing: -0.03em;
        text-align: left;
        color: #181818;
        padding: 10px 3px 10px 10px;
        width:100%;
    }
    .lg-calc-vorota-right {
        order:2;
        background: #EEF0F3;
        padding:24px 0
    }
    .lg-calc-vorota-left {
        order:3;
        background: #EEF0F3;
    }
    .rollets-size-picker, .rollets-height-field, .rollets-width-field, .rollets-height, .rollets-width, .rollets-color, .rollets-left-header,
    #lg-calc-vorota .rollets-big-image .vorota-info, #lg-calc-vorota .lg-calc-rollets-right .rollets-caller,
    #lg-calc-rolvorota .rollets-big-image .vorota-info, #lg-calc-rolvorota .lg-calc-rollets-right .rollets-caller {
        display:none
    }
    .rollets-left-colors {
        grid-template-columns: 1fr 1fr 1fr;
    }
    .rollets-big-image {
        text-align: center;
    }
    #lg-calc-vorota .rollets-big-image img,
    #lg-calc-rolvorota .rollets-big-image img{
        max-width:100%
    }
    .lg-calc-vorota-bottom {
        display:block;
        order:4
    }
    .lg-calc-vorota-bottom .vorota-info {
        border-bottom: 1px dashed #A3A3A3;
        margin-bottom:9px;
        align-items: center;
    }
    .vorota-info-column {
        display: flex;
        flex-direction: column;
        gap: 3px;
    }
    #lg-calc-vorota .rollets-dop-info,
    #lg-calc-rolvorota .rollets-dop-info {
        padding-top:0;
        margin: 24px 0;
    }
    #lg-calc-vorota .lg-calc-vorota-bottom,
    #lg-calc-rolvorota .lg-calc-vorota-bottom {
        background: linear-gradient(180deg, #EEF0F3, #FFFFFF);
        padding:0 10px
    }
    .vorota-width-field span, .vorota-height-field span {
        font-size:13px
    }
}

@media(max-width:767px) {
    .rollets-top-block {
        grid-template-columns: 5fr 3fr;
    }
    .rollets-top-block img {
        width:100%;
    }
    .rollets-top-sizes {
        display: grid;
        grid-template-columns: 1fr;
    }
    .rollets-top-sizes label {
        margin:0
    }
}

@media(max-width:359px){
    .rollets-top-block {
        grid-template-columns: 1fr 1fr;
    }
    .rollets-top-sizes label {
        grid-template-columns: 1fr;
        width:100%
    }
}